$(function(){
    //menu
    $('.menu-btn').click(function() {
        $('.account-menu').toggleClass('show');
    });

    $('.account-menu .close-btn').click(function() {
        $('.account-menu').removeClass('show');
    });

    // //select
    // setTimeout(function() {
    //     $('select').styler();
    // }, 100);

    //more button
    $('.more-btn').click(function () {
        var icon = $(this).find('i');
        if(icon.hasClass('fa-chevron-down')){
            icon.removeClass('fa-chevron-down');
            icon.addClass('fa-chevron-up');
            $('.table-bonus').show();
        }else{
            icon.removeClass('fa-chevron-up');
            icon.addClass('fa-chevron-down');

            $('.table-bonus').hide();
        }
    });

    
  //clock

  if($('#clock').length !== 0){
    function update() {
      $('#clock').html(moment().tz("Europe/London").format('HH:mm:ss'));
    }
    
    setInterval(update, 1000);
  }

      //tabs
  $('ul.tabs__caption').on('click', 'li:not(.active)', function () {
    $(this).addClass('active').siblings().removeClass('active').closest('div.tabs').find('div.tabs__content').removeClass('active').eq($(this).index()).addClass('active');
  });

    $('.rmb-ul').on('click', '.link-item:not(.active)', function () {
        if($('.descrow input[type="radio"]').length !== 0  && !$(this).hasClass('disable')){
            console.log($(this).closest('div.rmb-inside').find('div.rmb-block').eq($(this).index()).find('input[type="radio"]'))
            $(this)
            .addClass('active').siblings().removeClass('active')
            .closest('div.rmb-inside').find('div.rmb-block').removeClass('active').eq($(this).index()).addClass('active').find('input[type="radio"]').first().prop('checked', true);
        }
        $(this)
            .addClass('active').siblings().removeClass('active')
            .closest('div.rmb-inside').find('div.rmb-block').removeClass('active').eq($(this).index()).addClass('active');
    });

    $('.rmb-ul>.link-item').on('click', '.sectab:not(.activ)', function () {
        $(this)
            .addClass('activ').siblings().removeClass('activ')
            .closest('div.rmb-inside').find('div.rmb-bloc').removeClass('active').eq($(this).index()).addClass('active');
    });

    $('.li-1').click(function () {
		$('.rmb-bloc').removeClass('active');
		$('.rmb-bloc-1').addClass('active');
	});
	$('.li-2').click(function () {
		$('.rmb-bloc').removeClass('active');
		$('.rmb-bloс-2').addClass('active');
	});
	$('.li-3').click(function () {
		$('.rmb-bloc').removeClass('active');
		$('.rmb-bloc-3').addClass('active');
	});
	$('.li-4').click(function () {
		$('.rmb-bloc').removeClass('active');
		$('.rmb-bloс-4').addClass('active');
	});
	$('.li-5').click(function () {
		$('.rmb-bloc').removeClass('active');
		$('.rmb-bloc-5').addClass('active');
	});
	$('.li-6').click(function () {
		$('.rmb-bloc').removeClass('active');
		$('.rmb-bloc-6').addClass('active');
	});
})